Log filling up with connection errors

Ever since 0.94 i reckon i get ALOT of connection errors like theese:

Retrying (Retry(total=2, connect=None, read=None, redirect=None)) after connection broken by ‘NewConnectionError(’<telegram.vendor.ptb_urllib3.urllib3.connection.VerifiedHTTPSConnection object at 0x7f9ca949f7b8>: Failed to establish a new connection: [Errno 101] Network unreachable’)': /bot8XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

Neato connection error: HTTPSConnectionPool(host=‘nucleo.neatocloud.com’, port=443): Max retries exceeded with url: /vendors/neato/robots/xxxxxxxxxxxxxxxx/messages (Caused by NewConnectionError(‘<urllib3.connection.VerifiedHTTPSConnection object at xxxxxxxxxxxxxxx>: Failed to establish a new connection: [Errno -3] Try again’))

Sun Jun 16 2019 12:20:07 GMT+0200 (Central European Summer Time)
Update for vacuum.dammsugaren fails
Traceback (most recent call last):
File “/usr/local/lib/python3.7/site-packages/urllib3/connection.py”, line 160, in _new_conn
(self._dns_host, self.port), self.timeout, **extra_kw)
File “/usr/local/lib/python3.7/site-packages/urllib3/util/connection.py”, line 57, in create_connection
for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
File “/usr/local/lib/python3.7/socket.py”, line 748, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -3] Try again

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py”, line 603, in urlopen
chunked=chunked)
File “/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py”, line 344, in _make_request
self._validate_conn(conn)
File “/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py”, line 843, in _validate_conn
conn.connect()
File “/usr/local/lib/python3.7/site-packages/urllib3/connection.py”, line 316, in connect
conn = self._new_conn()
File “/usr/local/lib/python3.7/site-packages/urllib3/connection.py”, line 169, in _new_conn
self, “Failed to establish a new connection: %s” % e)
urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x7f9ca3dd35f8>: Failed to establish a new connection: [Errno -3] Try again

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/lib/python3.7/site-packages/requests/adapters.py”, line 449, in send
timeout=timeout
File “/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py”, line 641, in urlopen
_stacktrace=sys.exc_info()[2])
File “/usr/local/lib/python3.7/site-packages/urllib3/util/retry.py”, line 399, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host=‘beehive.neatocloud.com’, port=443): Max retries exceeded with url: /users/me/robots/GPCxxxxxxxxxx/persistent_maps (Caused by NewConnectionError(‘<urllib3.connection.VerifiedHTTPSConnection object at 0x7f9ca3dd35f8>: Failed to establish a new connection: [Errno -3] Try again’))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/src/homeassistant/homeassistant/helpers/entity.py”, line 220, in async_update_ha_state
await self.async_device_update()
File “/usr/src/homeassistant/homeassistant/helpers/entity.py”, line 377, in async_device_update
await self.hass.async_add_executor_job(self.update)
File “/usr/local/lib/python3.7/concurrent/futures/thread.py”, line 57, in run
result = self.fn(*self.args, **self.kwargs)
File “/usr/src/homeassistant/homeassistant/components/neato/vacuum.py”, line 118, in update
self.neato.update_robots()
File “/usr/src/homeassistant/homeassistant/util/init.py”, line 224, in wrapper
result = method(*args, **kwargs)
File “/usr/src/homeassistant/homeassistant/components/neato/init.py”, line 219, in update_robots
self._hass.data[NEATO_PERSISTENT_MAPS] = self.my_neato.persistent_maps
File “/usr/local/lib/python3.7/site-packages/pybotvac/account.py”, line 143, in persistent_maps
self.refresh_persistent_maps()
File “/usr/local/lib/python3.7/site-packages/pybotvac/account.py”, line 157, in refresh_persistent_maps
headers=self._headers))
File “/usr/local/lib/python3.7/site-packages/requests/api.py”, line 75, in get
return request(‘get’, url, params=params, **kwargs)
File “/usr/local/lib/python3.7/site-packages/requests/api.py”, line 60, in request
return session.request(method=method, url=url, **kwargs)
File “/usr/local/lib/python3.7/site-packages/requests/sessions.py”, line 533, in request
resp = self.send(prep, **send_kwargs)
File “/usr/local/lib/python3.7/site-packages/requests/sessions.py”, line 646, in send
r = adapter.send(request, **kwargs)
File “/usr/local/lib/python3.7/site-packages/requests/adapters.py”, line 516, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host=‘beehive.neatocloud.com’, port=443): Max retries exceeded with url: /users/me/robots/GPCxxxxxxxxxxxxxxxx/persistent_maps (Caused by NewConnectionError(‘<urllib3.connection.VerifiedHTTPSConnection object at 0x7f9ca3dd35f8>: Failed to establish a new connection: [Errno -3] Try again’))

Sun Jun 16 2019 12:02:27 GMT+0200 (Central European Summer Time)
Update for weather.smhi_home fails
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/aiohttp/connector.py", line 924, in _wrap_create_connection
    await self._loop.create_connection(*args, **kwargs))
  File "uvloop/loop.pyx", line 1904, in create_connection
  File "uvloop/loop.pyx", line 1882, in uvloop.loop.Loop.create_connection
  File "uvloop/handles/tcp.pyx", line 179, in uvloop.loop.TCPTransport.connect
  File "uvloop/handles/tcp.pyx", line 201, in uvloop.loop._TCPConnectRequest.connect
OSError: [Errno 101] Network unreachable

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 220, in async_update_ha_state
    await self.async_device_update()
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 375, in async_device_update
    await self.async_update()
  File "/usr/src/homeassistant/homeassistant/components/smhi/weather.py", line 111, in async_update
    self._forecasts = await self.get_weather_forecast()
  File "/usr/src/homeassistant/homeassistant/components/smhi/weather.py", line 125, in get_weather_forecast
    return await self._smhi_api.async_get_forecast()
  File "/usr/local/lib/python3.7/site-packages/smhi/smhi_lib.py", line 253, in async_get_forecast
    self._latitude)
  File "/usr/local/lib/python3.7/site-packages/smhi/smhi_lib.py", line 215, in async_get_forecast_api
    async with self.session.get(api_url) as response:
  File "/usr/local/lib/python3.7/site-packages/aiohttp/client.py", line 1005, in __aenter__
    self._resp = await self._coro
  File "/usr/local/lib/python3.7/site-packages/aiohttp/client.py", line 476, in _request
    timeout=real_timeout
  File "/usr/local/lib/python3.7/site-packages/aiohttp/connector.py", line 522, in connect
    proto = await self._create_connection(req, traces, timeout)
  File "/usr/local/lib/python3.7/site-packages/aiohttp/connector.py", line 854, in _create_connection
    req, traces, timeout)
  File "/usr/local/lib/python3.7/site-packages/aiohttp/connector.py", line 992, in _create_direct_connection
    raise last_exc
  File "/usr/local/lib/python3.7/site-packages/aiohttp/connector.py", line 974, in _create_direct_connection
    req=req, client_error=client_error)
  File "/usr/local/lib/python3.7/site-packages/aiohttp/connector.py", line 931, in _wrap_create_connection
    raise client_error(req.connection_key, exc) from exc
aiohttp.client_exceptions.ClientConnectorError: Cannot connect to host opendata-download-metfcst.smhi.se:443 ssl:None [Network unreachable]

I have not done anything other then updating hass, im on current build 0.94.3
What can be the reason for this?

if i do like this:

docker exec -it homeassistant /bin/bash

Then

bash-4.4# nslookup google.se
nslookup: can’t resolve ‘(null)’: Name does not resolve

Name: google.se
Address 1: 216.58.207.195 arn11s04-in-f3.1e100.net
Address 2: 2a00:1450:400f:80a::2003 arn11s03-in-x03.1e100.net

Why do i first get a cant resolve null?

bash-4.4# cat /etc/resolv.conf
nameserver 172.30.32.2
options ndots:0

I have not made any changes whatsoever in the docker container…

Hiya - Did you resolve this? I have started getting this today (It was fine yesterday) - I am running 0.96.5
Thanks

Did not resolve it, everything still works but still really annoying

Thanks Pelle - Mine has things not working now so even more annoying! :slight_smile:
Ok will keep digging to see what I can find…

Thx
N